
# TENGUNGUN

## このプロジェクトについて

VIRTUAL Shizuoka等の点群データを効率的に取得するためのQGISプラグイン。

## 実装アルゴリズム

- `fetchtengunextent.py`: 指定された範囲の点群データをダウンロードして表示する
- `fetchtengunlist.py`: 指定されたURLの点群データをダウンロードして保存する
- `listtengun.py`: 指定された範囲の点群データの属性（URLなど）を取得する
- `transectlines.py`: 線に垂直な線を一定間隔で描く
- `crosssection.py`: 点群を鉛直断面で切断・投影する
- `crosssectionfiles.py`: 点群を複数の鉛直断面で切断・投影してファイルに保存する

## 使い方

- QGISで静岡駅付近（34.971897,138.388381）を表示。OpenStreetMap等の地図タイルを出しておくと良い。
- 「点群属性の取得」で指定された範囲の点群属性（点群データではない）が取得できる。たとえばパラメータは次の通り。
  - `FETCH_EXTENT`: `138.38,138.40,34.96,34.98 [EPSG:4326]`
  - `TARGET_CRS`: `EPSG:6676`
- 「範囲から点群を取得」で指定された範囲の点群が取得できる。たとえばパラメータは次の通り。
  - `FETCH_EXTENT`: `138.388302303,138.388466865,34.973791106,34.973917270 [EPSG:4326]`
  - `PC_DATABASE`: `LPデータ グラウンドデータ（静岡県 中・西部 点群データ）`


## 拡張

- `pc-databases.json`に追記すれば任意のデータベースを追加できる。（和歌山や長崎？）
